<?php

namespace App\Http\Controllers\Log;

use App\Http\Controllers\Controller;
use App\Http\Controllers\Core\Auth;
use Illuminate\Support\Facades\Redis;

class UserController extends Controller
{
    /**
     * 标记二维码来源的用户
     * @throws \Tymon\JWTAuth\Exceptions\JWTException
     */
    public function tagFromQrcode()
    {
        $uid = Auth::auth();
        Redis::sadd("user:tag:from:qrcode", $uid);
        return array(
            'code' => 200,
            'message' => 'success'
        );
    }
}
